%define major 44
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define fname %name-%{version}
%define aqhbcimajor 24
%define aqhbcilibname %mklibname aqhbci %aqhbcimajor
%define ofxmajor 7
%define ofxlibname %mklibname aqofxconnect %ofxmajor
%define cppmajor 0
%define cpplibname %mklibname aqbankingpp %cppmajor
%define ebicsmajor 0
%define ebicslibname %mklibname aqebics %ebicsmajor
%define paypalmajor 0
%define paypallibname %mklibname aqpaypal %paypalmajor

Name: aqbanking
Summary: A library for online banking functions and financial data import/export
Version: 6.5.4
Release: %mkrel 1
Source: https://www.aquamaniac.de/rdm/attachments/download/283/%name-%{version}.tar.xz
Group: System/Libraries
License: GPLv2+
URL: https://www.aquamaniac.de/
BuildRequires: pkgconfig(libofx) >= 0.8.2
BuildRequires: gmp-devel
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gwengui-gtk3)
BuildRequires: pkgconfig(gwenhywfar) >= 5.1.2
BuildRequires: pkgconfig(ktoblzcheck) >= 1.10
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(xmlsec1-gnutls) >= 1.0.0
Obsoletes: aqbanking-ofx
Obsoletes: aqebics
Obsoletes: aqhbci
Obsoletes: aqpaypal

%description
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).


%package -n %libname
Summary: A library for online banking functions and financial data import/export
Group: System/Libraries
Requires: %name >= %version
Obsoletes: lib64aqbanking35

%description -n %libname
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package -n %develname
Summary: Aqbanking development kit
Group: Development/Libraries
Requires: %{libname} = %{version}
Provides: lib%name-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}
Provides: aqhbci-devel = %version-%release
Provides: libaqhbci-devel = %version-%release

%description -n %develname
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.

%prep
%setup -q

%build

# upstream was still using automake1.14
autoreconf -vfi

%configure2_5x --disable-static
%make

%install
%make_install

find %buildroot -name '*.la' -delete

%find_lang %name
mv %buildroot%_datadir/doc/%name installed-docs

%files -f %name.lang
%doc installed-docs
%{_bindir}/aqbanking-cli
%{_bindir}/*-tool
%{_bindir}/*-tool4
%{_libdir}/%{name}
%{_datadir}/%{name}

%files -n %libname
%{_libdir}/libaqbanking.so.%{major}*

%files -n %develname
%{_bindir}/aqbanking-config
%{_includedir}/aqbanking6
%{_libdir}/cmake/aqbanking-*
%{_libdir}/libaqbanking.so
%{_datadir}/aclocal/aqbanking.m4
%{_libdir}/pkgconfig/aqbanking.pc


%changelog
* Sun Sep 03 2023 tex - 6.5.4-1pclos2023
- new version

* Mon Aug 29 2022 tex - 6.2.1-1pclos2022
- new version

* Mon Jul 27 2020 tex - 6.1.4-1pclos2020
- new version

* Fri Feb 23 2018 bb2 <bb2> - 5.5.12-1pclos2018
- new version for kmymoney 5.0
